extern "C"
{
#include "fxlib.h"
#include "usefull.h"
#include "MonochromeLib.h"
#include <stdlib.h> 
}

#include "game.h"

int menu()
{
	const unsigned char titre[]={0x3c, 0xc0, 0xc1, 0xc1, 0x87, 0xc, 0x0, 0xc3, 0x86, 0x3, 0x83, 0xe0, 0x1f, 0x44, 0xa0, 0x42, 0x21, 0x2, 0x4, 0x0, 0x81, 0x2, 0x4, 0x42, 0x10, 0x23, 0x80, 0xa0, 0x44, 0x11, 0x2, 0x4, 0x0, 0x81, 0x2, 0x8, 0x22, 0x8, 0x41, 0x80, 0x90, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x8, 0x41, 0x80, 0x90, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x10, 0x41, 0x40, 0x88, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x1f, 0xf3, 0xe0, 0x21, 0x20, 0x88, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x20, 0x11, 0x10, 0x84, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x10, 0x9, 0x8, 0x84, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x10, 0x5, 0x4, 0x82, 0x48, 0x9, 0x2, 0x4, 0x0, 0x81, 0x2, 0x10, 0x12, 0x8, 0x3, 0x4, 0x82, 0x44, 0x10, 0x85, 0x8, 0x0, 0x42, 0x84, 0x10, 0x12, 0x8, 0x3, 0x88, 0x81, 0x42, 0x20, 0x48, 0x90, 0x0, 0x24, 0x48, 0x10, 0x12, 0x4, 0x45, 0xf0, 0xc0, 0xc1, 0xc0, 0x30, 0x60, 0x0, 0x18, 0x30, 0x18, 0x33, 0xc, 0x79, };
	int choice = 2;
	int release = 0;
	int zoom = 16;
	unsigned char useless[1000];//pour tester si une sauvegarde existe
	int menuX[3] = {45,47,51};
	unsigned char menuName[3][15] = {"commencer","continuer","quitter"};

	while(1)
	{

		/****************************
		/		
		/ Inputs
		/
		/****************************/

		if(key_down(K_UP))
		{
			if(!release)
			{
				choice++;
				release = 10;
			}
		}
		else if(key_down(K_DOWN))
		{
			if(!release)
			{
				choice--;
				release = 10;
			}
		}
		else release = 0;	

		choice = (choice+3)%3;//pour gérer si choice <0 et si choice >2
		if(release)release--;

		if(key_down(K_EXE))
		{
			if(choice == 1){if(readFile("snowW","sav",useless))break;}//on regarde si une partie a été sauvegardée
			else break;
		}


		/****************************
		/		
		/ Affichage
		/
		/****************************/


		ML_bmp_or(titre,12,5,103,13);
		for(int i = 0;i<3;i++)PrintMini(menuX[i],30+i*10,menuName[i],1);
		
		PrintMini(menuX[2-choice]-5,50-choice*10,"-",1);
		PrintMini(126-menuX[2-choice]+5+(choice==2)-(choice==0),50-choice*10,"-",1);
		
		snowFall();

		ML_rectangle(0,0,128,64,0,ML_XOR,ML_XOR);
		ML_display_vram();
		ML_clear_vram();
		setFps(8);

	}

	return choice;
}






int main()
{
	srand(time_getTicks());
	int choice = menu();
	while(choice)
	{
		Game game;
		game.start(choice);
		choice = menu();
	}

	deleteAll();

}


extern "C"
{
int AddIn_main(int isAppli, unsigned short OptionNum)
{    
return main();
}
#pragma section _BR_Size
unsigned long BR_Size;
#pragma section
#pragma section _TOP
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}
#pragma section
}
